Package Details: sunxi-tools-git 1.1.r440.g42ffc5f-1

Git Clone URL: https://aur.archlinux.org/sunxi-tools-git.git (read-only, click to copy)
Package Base: sunxi-tools-git
Description: Tools to help hacking Allwinner based devices. (A10, A20, sun4i, sun7i)
Upstream URL: https://github.com/linux-sunxi/sunxi-tools
Licenses: GPL
Conflicts: sunxi-tools
Provides: sunxi-tools
Submitter: BOYPT
Maintainer: FabioLolix
Last Packager: FabioLolix
Votes: 24
Popularity: 0.000327
First Submitted: 2012-07-19 12:32
Last Updated: 2019-06-30 22:47

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

taotieren commented on 2021-05-31 02:31

# Maintainer: Fabio 'Lolix' Loli <lolix@disroot.org> -> https://github.com/FabioLolix
# Contributor: choopm <choopm at 0pointer.org>
# Contributor: BOYPT <pentie at gmail.com>

pkgname=sunxi-tools-git
pkgver=1.1.r487.g6c02224
pkgrel=1
pkgdesc="Tools to help hacking Allwinner based devices. (A10, A20, sun4i, sun7i)"
arch=(i686 x86_64 arm armv6h armv7h aarch64)
url="https://github.com/linux-sunxi/sunxi-tools"
license=(GPL)
depends=(libusb)
makedepends=(git)
conflicts=(sunxi-tools)
provides=(sunxi-tools)
source=("git+https://github.com/linux-sunxi/sunxi-tools.git")
md5sums=('SKIP')

pkgver() {
  cd "${pkgname%-git}"
  git describe --long | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
}

build() {
  cd "${pkgname%-git}"
  make
  make misc
}

package() {
  cd "${pkgname%-git}"
  PREFIX="$pkgdir/usr" make install
  PREFIX="$pkgdir/usr" make install-misc
}

choopm commented on 2016-10-28 15:33

@mgrimes:
Sorry for the late response.
Agreed on your changes, pushed ;)

mgrimes commented on 2016-10-25 15:41

These tools work fine on ARM devices. Can you change the architecture:

-arch=('i686' 'x86_64')
+arch=('any')

Also, the bin2fex and fex2bin links conflict with sunxi-tools. I think sunxi-tools should be added to the conflicts:

-conflicts=()
+conflicts=('sunxi-tools')

choopm commented on 2015-10-29 11:53

updated, thanks.

pingplug commented on 2015-10-29 11:34

sunxi-tools add a prefix(sunxi-) to all binaries

and we can use "make install" now

choopm commented on 2015-09-10 18:39

@pingplug Thanks for pointing that out, fixed

pingplug commented on 2015-09-10 14:22

usb-boot is not exist anymore

net147 commented on 2014-03-28 03:11

Please also install nand-part.

arno commented on 2012-10-13 19:04

Repositories have moved. See https://groups.google.com/forum/#!topic/linux-sunxi/5gU-2Li8PUo